Package it.ernytech.tdlib

## Class TdApi.InputMessageVideo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageVideo

Enclosing class:
  TdApi

    public static class TdApi.InputMessageVideo
    extends TdApi.InputMessageContent

A video message.

### Field Summary

Fields
`int[]` `addedStickerFileIds` File identifiers of the stickers added to the video, if applicable.
`TdApi.FormattedText` `caption` Video caption; 0-200 characters.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `duration` Duration of the video, in seconds.
`int` `height` Video height.
`boolean` `supportsStreaming` True, if the video should be tried to be streamed.
`TdApi.InputThumbnail` `thumbnail` Video thumbnail, if available.
`int` `ttl` Video TTL (Time To Live), in seconds (0-60).
`TdApi.InputFile` `video` Video to be sent.
`int` `width` Video width.

### Constructor Summary

Constructors
`InputMessageVideo()` Default constructor.
`InputMessageVideo​(TdApi.InputFile video, TdApi.InputThumbnail thumbnail, int[] addedStickerFileIds, int duration, int width, int height, boolean supportsStreaming, TdApi.FormattedText caption, int ttl)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### video

    public TdApi.InputFile video

Video to be sent.

#### thumbnail

    public TdApi.InputThumbnail thumbnail

Video thumbnail, if available.

#### addedStickerFileIds

    public int[] addedStickerFileIds

File identifiers of the stickers added to the video, if applicable.

#### duration

    public int duration

Duration of the video, in seconds.

#### width

    public int width

Video width.

#### height

    public int height

Video height.

#### supportsStreaming

    public boolean supportsStreaming

True, if the video should be tried to be streamed.

#### caption

    public TdApi.FormattedText caption

Video caption; 0-200 characters.

#### ttl

    public int ttl

Video TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only in private chats.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageVideo

    public InputMessageVideo()

Default constructor.

#### InputMessageVideo

    public InputMessageVideo​(TdApi.InputFile video,
                             TdApi.InputThumbnail thumbnail,
                             int[] addedStickerFileIds,
                             int duration,
                             int width,
                             int height,
                             boolean supportsStreaming,
                             TdApi.FormattedText caption,
                             int ttl)

Constructor for initialization of all fields.

Parameters:
  `video` - Video to be sent.
  `thumbnail` - Video thumbnail, if available.
  `addedStickerFileIds` - File identifiers of the stickers added to the video, if applicable.
  `duration` - Duration of the video, in seconds.
  `width` - Video width.
  `height` - Video height.
  `supportsStreaming` - True, if the video should be tried to be streamed.
  `caption` - Video caption; 0-200 characters.
  `ttl` - Video TTL (Time To Live), in seconds (0-60). A non-zero TTL can be specified only in private chats.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR